VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Pages: 1 2 [3] 4

Author Topic: MPlayer, mplayer-plugin [SOLVED]  (Read 3578 times)

macondo

  • Vectorite
  • ***
  • Posts: 252
Re: MPlayer, mplayer-plugin
« Reply #30 on: March 02, 2016, 09:29:53 pm »

CORRECTION

Chromium - nothing
Midori - yes!  I tried again and it worked.
Logged
VL 7.1 Light - icewm - jwm - ratpoison
“Just because you're paranoid doesn't mean they aren't after you.” ― Joseph Heller, Catch-22
Oscar Peterson - Bossa Nova - https://www.youtube.com/watch?v=cSX_7ejc5u8

macondo

  • Vectorite
  • ***
  • Posts: 252
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #31 on: March 15, 2016, 02:18:15 pm »

Aparently the problem has NOT been solved.
This weekend I replaced my hd with a new one, did a fresh install of VL7.1 Light, updated/upgraded but did not get the latest flashplugin specified at the beginnning of this thread. Therefore, I was unable to open the afore mentioned videos in
pbs.org/frontline. I thought the problem was solved.

I inserted the 'untested' repo but the latest flashplugin was not there, so I was stuck. What gives? Is there something I am not aware of?

Respectfully,
macondo
« Last Edit: March 15, 2016, 02:20:15 pm by macondo »
Logged
VL 7.1 Light - icewm - jwm - ratpoison
“Just because you're paranoid doesn't mean they aren't after you.” ― Joseph Heller, Catch-22
Oscar Peterson - Bossa Nova - https://www.youtube.com/watch?v=cSX_7ejc5u8

roarde

  • Vectorian
  • ****
  • Posts: 735
  • it's enough
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #32 on: March 16, 2016, 12:11:37 am »

While you were installing, The Vendor has bumped the flashplugin version. There has not yet been time to build the new version for the repos. It'll get there soon, I think.

For those who wish not to wait:                  (where "<tab>" is indicated, use tab completion to fill in version, etc.)
Do this from your home directory or so. It's important to not do it from a subdirectory of /usr/doc/flashplugin-*
Code: [Select]
mkdir -p flashplugin/src
cd flashplugin/src
cp /usr/doc/flashplugin<tab>/flashplugin.SlackBuild ./
chmod +x flashplugin.SlackBuild
su -lm
VERSION=11.2.202.577 ./flashplugin.SlackBuild
# The source is fetched, the package is built
upgradepkg  --install-new ../flashplugin<tab>
exit      # to leave "su"
Restart browser.

You may want to leave these directories and the SlackBuild in place for next time. The package and downloaded source will have to be deleted for that to work. If you're doing this for both 32- and 64-bit machines, generating the package for each on each machine (or one of the same arch) is simplest (but not necessarily easiest).

In almost all cases -- in fact, all cases so far -- just downloading the package from The Vendor and extracting "libflashplugin.so" to /usr/lib(64)/mozilla/plugins/libflashplugin.so works. Building the complete package should catch the odd case where something else changes, and is easier to explain in the forum than the exact URL to grab for your arch, and so on. The SlackBuild detects and handles that stuff for you.
« Last Edit: March 16, 2016, 12:24:45 am by roarde »
Logged
Robert
VL 7.2 Light B2

macondo

  • Vectorite
  • ***
  • Posts: 252
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #33 on: March 16, 2016, 06:21:57 am »

Thank you, roarde!
Logged
VL 7.1 Light - icewm - jwm - ratpoison
“Just because you're paranoid doesn't mean they aren't after you.” ― Joseph Heller, Catch-22
Oscar Peterson - Bossa Nova - https://www.youtube.com/watch?v=cSX_7ejc5u8

wigums

  • Guest
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #34 on: March 16, 2016, 10:30:42 am »

flashplugin has been updated today
Logged

macondo

  • Vectorite
  • ***
  • Posts: 252
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #35 on: March 16, 2016, 07:31:35 pm »

Thank you, wigums BUT...unless I'm screwing up (which ain't rare), I show no upgrade. I'm still getting the 'failed to download' flashplugin error :(

Code: [Select]
bobo:$ sudo slapt-get -u && sudo slapt-get --upgrade
Retrieving package data [http://vectorlinux.osuosl.org/VL64-7.1/packages/]...Cached
Retrieving patch list [http://vectorlinux.osuosl.org/VL64-7.1/packages/]...Done
Retrieving checksum list [http://vectorlinux.osuosl.org/VL64-7.1/packages/]...Cached
Retrieving checksum signature [http://vectorlinux.osuosl.org/VL64-7.1/packages/]...Not Found
Retrieving ChangeLog.txt [http://vectorlinux.osuosl.org/VL64-7.1/packages/]...Done
Reading Package Lists...Done
Retrieving package data [http://vectorlinux.osuosl.org/VL64-7.1/extra/]...Cached
Retrieving patch list [http://vectorlinux.osuosl.org/VL64-7.1/extra/]...Done
Retrieving checksum list [http://vectorlinux.osuosl.org/VL64-7.1/extra/]...Cached
Retrieving checksum signature [http://vectorlinux.osuosl.org/VL64-7.1/extra/]...Not Found
Retrieving ChangeLog.txt [http://vectorlinux.osuosl.org/VL64-7.1/extra/]...Done
Reading Package Lists...Done
Retrieving package data [http://vectorlinux.osuosl.org/VL64-7.1/patches/]...Cached
Retrieving patch list [http://vectorlinux.osuosl.org/VL64-7.1/patches/]...Done
Retrieving checksum list [http://vectorlinux.osuosl.org/VL64-7.1/patches/]...Cached
Retrieving checksum signature [http://vectorlinux.osuosl.org/VL64-7.1/patches/]...Not Found
Retrieving ChangeLog.txt [http://vectorlinux.osuosl.org/VL64-7.1/patches/]...Done
Reading Package Lists...Done
Reading Package Lists...Done
The following packages have been EXCLUDED:
  kernel kernel-headers kernel-modules
0 upgraded, 0 reinstalled, 0 newly installed, 0 to remove, 3 not upgraded.

Done

After a slapt-get -installed
I show this version of flashplugin:
Code: [Select]
flashplugin-11.2.202.554-x86_64-1vl71 [inst=yes]: flashplugin (flash plugin for web browsers)
IIRC, it should be:
Code: [Select]
flash-plugin-11.2.202.569-x86_64-1gv
« Last Edit: March 17, 2016, 07:28:42 am by macondo »
Logged
VL 7.1 Light - icewm - jwm - ratpoison
“Just because you're paranoid doesn't mean they aren't after you.” ― Joseph Heller, Catch-22
Oscar Peterson - Bossa Nova - https://www.youtube.com/watch?v=cSX_7ejc5u8

roarde

  • Vectorian
  • ****
  • Posts: 735
  • it's enough
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #36 on: March 16, 2016, 08:11:42 pm »

It actually should be
Code: [Select]
flashplugin-11.2.202.577-x86_64-1vl71It's been updated since .569 and I'm gonna guess firefox requires .577 now. But I haven't checked.
The "flash-plugin-*-1gv" is from a different linux distribution; I helped confuse you on that already, remember?  :P

There's a method for grabbing packages from untested which I sent you in forum pm quite some time ago. Check back in your inbox. If it's not there, let me know and I'll re-send. So the rest of you know, that method is confusing out-of-context and isn't appropriate for public distribution.

The new flashplugin is indeed available in untested and needs testing before being moved to regular repos. If you lost the untested URL line during your HD move, here it is (for 64-bit) again:
Code: [Select]
SOURCE=http://vlcore.vectorlinux.com/untested/veclinux-7.1/x86_64/
Logged
Robert
VL 7.2 Light B2

macondo

  • Vectorite
  • ***
  • Posts: 252
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #37 on: March 17, 2016, 06:38:23 am »

roarde and wigums: thank you, flashplugin 577 is working perfectly, put it in the repos with no fear.
Thanks again, sorry for being such a PITA
« Last Edit: March 17, 2016, 07:21:51 am by macondo »
Logged
VL 7.1 Light - icewm - jwm - ratpoison
“Just because you're paranoid doesn't mean they aren't after you.” ― Joseph Heller, Catch-22
Oscar Peterson - Bossa Nova - https://www.youtube.com/watch?v=cSX_7ejc5u8

macondo

  • Vectorite
  • ***
  • Posts: 252
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #38 on: March 17, 2016, 10:59:35 am »

I'm back to square one.

I did an update/upgrade at the beginning of the session, but flash is failing again, i checked and i got version 554 installed instead of 577, thiis hapenned after the update/upgrade. Did you put version 577 in the repos, or is it my box?
Logged
VL 7.1 Light - icewm - jwm - ratpoison
“Just because you're paranoid doesn't mean they aren't after you.” ― Joseph Heller, Catch-22
Oscar Peterson - Bossa Nova - https://www.youtube.com/watch?v=cSX_7ejc5u8

macondo

  • Vectorite
  • ***
  • Posts: 252
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #39 on: March 18, 2016, 02:40:14 pm »

I gave up on flash, I uninstalled flash and installed the extension for Firefox:

Code: [Select]
HTTML5 Video Everywhere

So far, it is working fine, opens everything in pbs.org/frontline :D

From the Firefox main menu > Tools > Add-ons
« Last Edit: March 18, 2016, 03:01:11 pm by macondo »
Logged
VL 7.1 Light - icewm - jwm - ratpoison
“Just because you're paranoid doesn't mean they aren't after you.” ― Joseph Heller, Catch-22
Oscar Peterson - Bossa Nova - https://www.youtube.com/watch?v=cSX_7ejc5u8

macondo

  • Vectorite
  • ***
  • Posts: 252
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #40 on: March 18, 2016, 05:17:53 pm »

Works fine in Midori also :D
Logged
VL 7.1 Light - icewm - jwm - ratpoison
“Just because you're paranoid doesn't mean they aren't after you.” ― Joseph Heller, Catch-22
Oscar Peterson - Bossa Nova - https://www.youtube.com/watch?v=cSX_7ejc5u8

roarde

  • Vectorian
  • ****
  • Posts: 735
  • it's enough
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #41 on: March 18, 2016, 10:01:30 pm »

For SeaMonkey, after installing HTML5 Video Everywhere, you may want to also install the addon "True Full Screen in SeaMonkey". SeaMonkey handles full screen differently, and this addon is needed to allow the HTML5 viewer's full screen control to work. More info under the addon's "more info" section.
Logged
Robert
VL 7.2 Light B2

roarde

  • Vectorian
  • ****
  • Posts: 735
  • it's enough
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #42 on: March 18, 2016, 10:43:29 pm »

It's encouraging that so many sites have enabled HTML5 video. Unfortunately, there are still too many that insist on flash. For those, you still need flashplugin.

Flashplugin .577 is working OK on those sites. Keep in mind that there are some sites which insist on a later version of flash (instead of the latest patch). The Vendor has decided that thou shalt worship MS or Google, or no new flash for you.
Logged
Robert
VL 7.2 Light B2

wigums

  • Guest
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #43 on: March 19, 2016, 02:32:00 pm »

you need to add the untested repo to your sources manually
Logged

macondo

  • Vectorite
  • ***
  • Posts: 252
Re: MPlayer, mplayer-plugin [SOLVED]
« Reply #44 on: March 19, 2016, 05:22:16 pm »

@wigums:
I added the untested repo to my sources and installed flashplugin .577 and it is working perfectly, thank you.

Now, there are 3 users who have tested flash .577 (you, me, and roarde) and it's working, how many more have to test it in order for it to be moved to the regular repos?
This was the same situation a week ago, your answer was a drawing I couldn't understand. Please clarify this.
Should I refrain from update/upgrade as usual, every morning? Which is what got me in trouble last time, something wrong in the patch repo, IIRC.

Regards,
« Last Edit: March 20, 2016, 01:43:37 am by macondo »
Logged
VL 7.1 Light - icewm - jwm - ratpoison
“Just because you're paranoid doesn't mean they aren't after you.” ― Joseph Heller, Catch-22
Oscar Peterson - Bossa Nova - https://www.youtube.com/watch?v=cSX_7ejc5u8
Pages: 1 2 [3] 4